AssociationCommandConfiguration.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/AssociationCommandConfiguration.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Group.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueBool.h"`
`#include "value_classes/ValueByte.h"`
`#include "value_classes/ValueShort.h"`

## Enumerations

enum | AssociationCommandConfigurationCmd { AssociationCommandConfigurationCmd_SupportedRecordsGet = 0x01, AssociationCommandConfigurationCmd_SupportedRecordsReport = 0x02, AssociationCommandConfigurationCmd_Set = 0x03, AssociationCommandConfigurationCmd_Get = 0x04, AssociationCommandConfigurationCmd_Report = 0x05 }
enum | { AssociationCommandConfigurationIndex_MaxCommandLength = 0, AssociationCommandConfigurationIndex_CommandsAreValues, AssociationCommandConfigurationIndex_CommandsAreConfigurable, AssociationCommandConfigurationIndex_NumFreeCommands, AssociationCommandConfigurationIndex_MaxCommands }

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
AssociationCommandConfigurationIndex_MaxCommandLength |
AssociationCommandConfigurationIndex_CommandsAreValues |
AssociationCommandConfigurationIndex_CommandsAreConfigurable |
AssociationCommandConfigurationIndex_NumFreeCommands |
AssociationCommandConfigurationIndex_MaxCommands |

## AssociationCommandConfigurationCmd

enum AssociationCommandConfigurationCmd

Enumerator
AssociationCommandConfigurationCmd_SupportedRecordsGet |
AssociationCommandConfigurationCmd_SupportedRecordsReport |
AssociationCommandConfigurationCmd_Set |
AssociationCommandConfigurationCmd_Get |
AssociationCommandConfigurationCmd_Report |